Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000964 [Piwigo] display minor always 2009.03.31 19:41 2009.07.05 12:22
Reporter mistic100 View Status public  
Assigned To VDigital
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.0.3 Product Version 2.0.1
  Target Version 2.0.3 Product Build
Summary 0000964: Link for language switch and home link in picture page
Description There is one "&" more in the link for change the language
ex : "http://www.mysite.com/index.php?&lang=en_UK" [^]
should be : "http://www.mysite.com/index.php?lang=en_UK" [^]

What's more Home link from "picture.php" is "http://www.mysite.com/index.php?" [^]
not important but better "http://www.mysite.com" [^]
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002570)
nikrou (developer)
2009.03.31 20:52
edited on: 2009.03.31 20:54

Je confirme. Mais ce n'est pas directement lié à piwigo mais uniquement au plugin "Language Switch":
http://piwigo.org/ext/extension_view.php?eid=123 [^]

(0002572)
VDigital (reporter)
2009.04.08 17:02
edited on: 2009.04.08 17:05

http://piwigo.org/ext/extension_view.php?eid=123 [^]
eid=123

This extension is not compatible with Piwigo 2.0.x... Don't confuse
"Language Switch" which is distributed with Piwigo.

(About it, this link has been kept with VD Language Switch, we should better break that link).
A study case...

(0002637)
plg (manager)
2009.06.18 22:54

VDigital, I've assigned this bug to you (at least the "language switch" related bug) and set the target version to 2.0.3. Is it OK for you or do we postpone to another release?
(0002666)
VDigital (reporter)
2009.06.29 22:29

I do some deeper tests and I commit the changes by this week.
(0002667)
svn (reporter)
2009.06.30 23:16

[Subversion] r3477 by vdigital on branch 2.0

-----[Subversion commit log]----------------------------------------------------
Bug 964 fixed and more

+ ?&lang=en_UK" => ?lang=en_UK"
+ =&lang=en_UK" => &lang=en_UK"
+ Works for any combinations of
$conf['question_mark_in_urls']
$conf['php_extension_in_urls']
=> BUT force a return to home in some cases.
+ Full technical code review
(0002669)
svn (reporter)
2009.06.30 23:24

[Subversion] r3479 by vdigital on trunk

-----[Subversion commit log]----------------------------------------------------
merge r3477 from branch 2.0 to trunk
Bug 964 fixed and more

+ ?&lang=en_UK" => ?lang=en_UK"
+ =&lang=en_UK" => &lang=en_UK"
+ Works for any combinations of
$conf['question_mark_in_urls']
$conf['php_extension_in_urls']
=> BUT force a return to home in some cases.
+ Full technical code review






- Issue History
Date Modified Username Field Change
2009.03.31 19:41 mistic100 New Issue
2009.03.31 19:41 mistic100 browser => any
2009.03.31 19:41 mistic100 Web server => Apache 1.3.x
2009.03.31 20:52 nikrou Note Added: 0002570
2009.03.31 20:54 nikrou Note Edited: 0002570
2009.04.08 17:02 VDigital Note Added: 0002572
2009.04.08 17:05 VDigital Note Edited: 0002572
2009.06.18 22:54 plg Note Added: 0002637
2009.06.18 22:54 plg Assigned To => VDigital
2009.06.18 22:54 plg Status new => feedback
2009.06.18 22:54 plg Target Version => 2.0.3
2009.06.29 22:29 VDigital Note Added: 0002666
2009.06.30 23:16 svn Checkin
2009.06.30 23:16 svn Note Added: 0002667
2009.06.30 23:24 svn Checkin
2009.06.30 23:24 svn Note Added: 0002669
2009.06.30 23:26 VDigital Status feedback => resolved
2009.06.30 23:26 VDigital Fixed in Version => 2.0.3
2009.06.30 23:26 VDigital Resolution open => fixed
2009.07.05 12:22 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker